/*
	calc.h
	
	(c) Richard Thrippleton, July 2001
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

struct vct //A vector
{
	long xx;
	long yy; //X and Y components
};
struct pol //A polor vector
{
	short ang; //Angle
	long rad; //Radius
};

void initcalc(); //Initialise central math routines such as cached trig data
vct poltovct(pol in,bool hres); //Converts a polar to a vector. High res mode?
pol vcttopol(vct in); //Converts a vector to a polar
