/*
	equip.cpp
	
	(c) Richard Thrippleton, July 2001
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

#include <stdio.h>
#include "equip.h"

equip equips[EQUIPCOUNT]; //Equipment database

void initequip()
{
	for(short i=0;i<EQUIPCOUNT;i++)
	{
		equips[i].self=i;
		equips[i].load();
	}
}

void equip::load()
{
	char path[33]; //Path to load equipment data from
	FILE* strm;  //Filestream to use
	
	sprintf(path,"data/equip/%hd.eqp",self);
	strm=fopen(path,"r");
	if(strm!=NULL)
	{
		fscanf(strm,"%33s\n%hd\n%hd\n%hd\n%hd\n%hd\n%hd\n%hd\n",nam,&typ,&mss,&spr,&pow,&rdy,&cap,&rng);
		fclose(strm);
	}
}
