/*
	equip.h
	
	(c) Richard Thrippleton, July 2001
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

class equip //Equipment item type
{
	public:
	
	short self; //Self index in the equipment cache
	char nam[33]; //Name
	short typ; //Type  1:Energy weapon 2:Missile launcher 3:Camo device 4:Hangar
	short mss; //Mass
	short spr; //Associated sprite index
	short pow; //Power consumption
	short rdy; //Readiness cycle time
	short cap; //Capacity
	short rng; //Range

	void load(); //Load equipment data from the database
};

void initequip(); //Initialises the equipment array

const short EQUIPCOUNT=64; //Maximum number of equipment items in the database
