/*
	graphics.h
	
	(c) Richard Thrippleton, July 2001
	Licensing terms are in the 'LICENSE' file
	If that file is not included with this source then permission is not given to use this source in any way whatsoever.
*/

class sprite //A sprite object
{
	public:	
	
	short self; //Self index in the sprite cache
	SDL_Surface* rots[36]; //Rotations. rot[0] loaded from disk, others calculated
	short hw[36],hh[36]; //Half height and half width for each rotation. Quick calculations and all that...	
	bool imem; //In memory and loaded?
	
	void load(bool rgen); //Loads the sprite from the datafiles, and calculates the rotations if rgen is true
	void draw(short x,short y,short rot); //Displays sprite centred at x,y with the given rotation frame
};

void initgraphics(); //Initialises the main SDL window, stashes the pointer to the surface in the global variable 'screen'
void drawinterface(); //Draws the main interface and stars 
void update(); //Updates graphics changes to the screen
void sdlnulltest(SDL_Surface* test); //Give it the pointer to an SDL surface you've just tried to make, and it will terminate the program if there's a problem

const short SPRITECOUNT=512; //Total number of sprites allowed
